commit: e9c2acd3fdd4e239c3d78b289351a263628c2d74
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 9 10:06:46 2016 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Wed Nov 9 10:06:46 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e9c2acd3
dev-util/debugedit: Added some checks to the update script.
Package-Manager: portage-2.3.2
dev-util/debugedit/files/update.sh | 17 +++++++++++++++--
1 file changed, 15 insertions(+), 2 deletions(-)
diff --git a/dev-util/debugedit/files/update.sh
b/dev-util/debugedit/files/update.sh
index db5495d..3fed29a 100755
--- a/dev-util/debugedit/files/update.sh
+++ b/dev-util/debugedit/files/update.sh
@@ -1,9 +1,22 @@
#!/bin/bash
-DISTDIR=/usr/portage/distfiles
+DISTDIR="$(portageq envvar DISTDIR 2>/dev/null)"
+DISTDIR="${DISTDIR:-/usr/portage/distfiles}"
+if [[ ! -d "${DISTDIR}" ]] ; then
+ echo "No DISTDIR found."
+ exit 1
+fi
+
PN=debugedit
-. /etc/init.d/functions.sh
+gentoo_functions="/lib/gentoo/functions.sh"
+if [[ -f "${gentoo_functions}" ]] ; then
+ . "${gentoo_functions}"
+else
+ echo "Failed to source ${gentoo_functions} file."
+ echo "Please install sys-apps/gentoo-functions package."
+ exit 1
+fi
set -e